[arch-commits] Commit in libdvdread/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 21 07:14:08 EDT 2009


    Date: Thursday, May 21, 2009 @ 07:14:08
  Author: jgc
Revision: 39750

Merged revisions 39749 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libdvdread/trunk

........
  r39749 | jgc | 2009-05-21 11:13:53 +0000 (Thu, 21 May 2009) | 1 line
  
  upgpkg: libdvdread 4.1.3-1
........

Modified:
  libdvdread/repos/extra-x86_64/	(properties)
  libdvdread/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Property changes on: libdvdread/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libdvdread/trunk:1-34550
   + /libdvdread/trunk:1-39749

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-21 11:13:53 UTC (rev 39749)
+++ extra-x86_64/PKGBUILD	2009-05-21 11:14:08 UTC (rev 39750)
@@ -3,22 +3,22 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=libdvdread
-pkgver=0.9.7
-pkgrel=2
+pkgver=4.1.3
+pkgrel=1
 pkgdesc="libdvdread provides a simple foundation for reading DVD video disks"
 arch=(i686 x86_64)
-url="http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
+url="http://www.mplayerhq.hu/MPlayer/releases/dvdnav/"
 license=('GPL')
 depends=('glibc')
 makedepends=('libdvdcss')
 optdepends=('libdvdcss: for decoding encrypted DVDs')
 options=('!libtool')
-source=(http://www.dtek.chalmers.se/groups/dvd/dist/$pkgname-$pkgver.tar.gz)
-md5sums=('078788c9241ae16763529e1235502337')
+source=(http://www.mplayerhq.hu/MPlayer/releases/dvdnav/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('6dc068d442c85a3cdd5ad3da75f6c6e8')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./autogen.sh --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list